Bug 148384 - [UPDATE] astro/merkaartor
[UPDATE] astro/merkaartor
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 19:00 UTC by Carlo Strub
Modified: 2010-08-19 02:30 UTC (History)
0 users

See Also:


Attachments
file.diff (6.34 KB, patch)
2010-07-05 19:00 UTC, Carlo Strub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Strub freebsd_committer 2010-07-05 19:00:05 UTC
Update to 0.16.1.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-07-05 19:00:27 UTC
Maintainer of astro/merkaartor,

Please note that PR ports/148384 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148384

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-05 19:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2010-07-06 03:08:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 amdmi3 2010-07-06 22:35:06 UTC
* C-S (c-s@c-s.li) wrote:

Does not build:
http://people.freebsd.org/~amdmi3/merkaartor-0.16.1.log

> + USE_LDCONFIG=	yes

Not needed.

> ! %%NLS%%%%DATADIR%%/translations/merkaartor_ar.qm
> --- 1,42 ----
> ! %%DATADIR%%/translations/merkaartor_ar.qm

Probably broken since translations are still installed conditionally.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Dmitry Marakasov freebsd_committer 2010-07-28 01:03:11 UTC
State Changed
From-To: feedback->open

Submitter & maintainer timeout
Comment 6 amdmi3 2010-07-28 01:08:10 UTC
> http://www.freebsd.org/cgi/query-pr.cgi?pr=148384

Maintainer & submitter timeouts; I suggest the following patch, and will
commit it by the weekend if there're no objections.

--- merkaartor.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/amdmi3/projects/freebsd/FreeBSD.cvs/ports/astro/merkaartor/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile	28 Mar 2010 06:30:36 -0000	1.10
+++ Makefile	27 Jul 2010 23:35:25 -0000
@@ -6,25 +6,27 @@
 #
 
 PORTNAME=	merkaartor
-PORTVERSION=	0.14
-PORTREVISION=	2
+PORTVERSION=	0.16.1
 CATEGORIES=	astro
-MASTER_SITES=	http://www.merkaartor.org/downloads/source/
+MASTER_SITES=	http://www.merkaartor.be/attachments/download/2/
 
 MAINTAINER=	slaven@rezic.de
 COMMENT=	An openstreetmap mapping program
 
+BUILD_DEPENDS=	${LOCALBASE}/include/boost/concept_check.hpp:${PORTSDIR}/devel/boost-libs
+
+LICENSE=	GPLv2
+
 USE_BZIP2=	yes
 
 USE_QT_VER=	4
 QT_COMPONENTS=	qmake_build uic_build moc_build rcc_build \
 		gui network svg webkit xml imageformats script scripttools
 MAKE_JOBS_SAFE=	yes
+INSTALLS_ICONS=	yes
 
 QMAKEFLAGS=	PREFIX=${PREFIX}
 
-MAN1=		merkaartor.1
-
 OPTIONS=	GEOIMAGE "Enable geotagged images (needs exiv2)" on
 
 .include <bsd.port.options.mk>
@@ -48,7 +50,4 @@
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 		${QMAKE} ${QMAKEFLAGS}
 
-post-install:
-	${INSTALL_MAN} ${WRKSRC}/debian/merkaartor.1 ${PREFIX}/man/man1
-
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/amdmi3/projects/freebsd/FreeBSD.cvs/ports/astro/merkaartor/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- distinfo	30 Dec 2009 12:59:00 -0000	1.4
+++ distinfo	6 Jul 2010 13:01:35 -0000
@@ -1,3 +1,3 @@
-MD5 (merkaartor-0.14.tar.bz2) = eaba052e083c796fcc9ad8edebc19dec
-SHA256 (merkaartor-0.14.tar.bz2) = efc9da3da199ba7899d1c8ebba8092b7d5d23288e108791037f3db487a1819b8
-SIZE (merkaartor-0.14.tar.bz2) = 5121445
+MD5 (merkaartor-0.16.1.tar.bz2) = 2da9635619df7251cd16da72970b250d
+SHA256 (merkaartor-0.16.1.tar.bz2) = c1ca13a037060c367e93d895a92f5de8da344a753d43bd5119de15473e918a4b
+SIZE (merkaartor-0.16.1.tar.bz2) = 5794456
Index: pkg-descr
===================================================================
RCS file: /home/amdmi3/projects/freebsd/FreeBSD.cvs/ports/astro/merkaartor/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- pkg-descr	15 Jan 2009 01:44:35 -0000	1.1
+++ pkg-descr	27 Jul 2010 23:36:10 -0000
@@ -4,4 +4,4 @@
 
 It is based on Qt4.
 
-WWW: http://www.merkaartor.org/
+WWW: http://merkaartor.be/
Index: pkg-plist
===================================================================
RCS file: /home/amdmi3/projects/freebsd/FreeBSD.cvs/ports/astro/merkaartor/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	30 Dec 2009 12:59:00 -0000	1.2
+++ pkg-plist	27 Jul 2010 23:14:49 -0000
@@ -1,5 +1,7 @@
 bin/merkaartor
+lib/merkaartor/plugins/background/libMWalkingPapersBackgroundPlugin.so
 lib/merkaartor/plugins/background/libMYahooBackgroundPlugin.so
+lib/merkaartor/plugins/background/libMYahooTiledBackgroundPlugin.so
 lib/merkaartor/plugins/styles/libskulpture.so
 share/applications/merkaartor.desktop
 share/icons/hicolor/48x48/apps/merkaartor.png
@@ -16,8 +18,12 @@
 %%NLS%%%%DATADIR%%/translations/merkaartor_ja.qm
 %%NLS%%%%DATADIR%%/translations/merkaartor_nl.qm
 %%NLS%%%%DATADIR%%/translations/merkaartor_pl.qm
+%%NLS%%%%DATADIR%%/translations/merkaartor_pt.qm
+%%NLS%%%%DATADIR%%/translations/merkaartor_pt_BR.qm
 %%NLS%%%%DATADIR%%/translations/merkaartor_ru.qm
+%%NLS%%%%DATADIR%%/translations/merkaartor_sk.qm
 %%NLS%%%%DATADIR%%/translations/merkaartor_sv.qm
+%%NLS%%%%DATADIR%%/translations/merkaartor_uk.qm
 %%DATADIR%%/world_background.osb
 @dirrm %%DATADIR%%/translations
 @dirrm %%DATADIR%%
--- merkaartor.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 7 Dmitry Marakasov freebsd_committer 2010-07-28 01:18:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback.
Comment 8 Dmitry Marakasov freebsd_committer 2010-08-19 02:27:47 UTC
State Changed
From-To: feedback->open

Feedback timeout
Comment 9 dfilter freebsd_committer 2010-08-19 02:28:31 UTC
amdmi3      2010-08-19 01:28:22 UTC

  FreeBSD ports repository

  Modified files:
    astro/merkaartor     Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 0.16.1
  
  PR:             148384
  Submitted by:   C-S <c-s@c-s.li>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.11      +7 -8      ports/astro/merkaartor/Makefile
  1.5       +3 -3      ports/astro/merkaartor/distinfo
  1.2       +1 -1      ports/astro/merkaartor/pkg-descr
  1.3       +6 -0      ports/astro/merkaartor/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Dmitry Marakasov freebsd_committer 2010-08-19 02:28:36 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!